"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_hooks_global_state_1 = require("react-hooks-global-state");
const initialState = {
    searchProduct: '',
};
const { useGlobalState } = (0, react_hooks_global_state_1.createGlobalState)(initialState);
function UseGlobalState() {
    const [searchProduct, setSearchProduct] = useGlobalState('searchProduct');
    return {
        searchProduct,
        setSearchProduct,
    };
}
exports.default = UseGlobalState;
